Subject: compiling ParkBench for MPICH

From: Martha Torres <[email-masked]>
Date: Mon, 01 Dec 1997 11:06:37 -0800

Sirs
ParkBench Committee

Dear Sirs,
I am Ph.D student and I am working with collective communication
operations. Particulary, I am interested in to quantify the influence
of collective communication operations on the total execution time
of several MPI-programs.

My platform is a cluster of 8 Dual Pentium Pro processors 
interconnected by 100Mb/s Fastethernet.
I use MPICH version 1.1, fort77 and cc compilers

I have downloaded ParkBench.tar from netlib. I followed 
all instructions but there are some programs that
did not work:
1. Low_Level/poly1 poly2 rinf1 tick1 tick2
They did not compile. It appears the following:
ParkBench/lib/LINUX/ParkBench_misc.a: No such file or
directory. 
How do I create this library??

2. Kernels/LU_solver QR TRD
They also did not compile. It appears the following:
ParkBench/lib/LINUX/pblas_subset.a: In function 'pberror_'
undefined reference to 'blacs_gridinfo_'
undefined reference to 'blacs_abort_'

3. Comp_Apps/PSTSWM and Kernels/MATMUL
They compiled but they did not run

Thanks in advance, 

Best Regards
Martha Torres
Laboratorio de Sistema Integraveis
University of Sao Paulo
Sao Paulo - S.P. Brazil